Viewing Issue Advanced Details Jump to Notes ] ampro.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05795 Misc. Major Always Dec 12, 2014, 18:25 Dec 15, 2014, 01:45
Tester demotester View Status Public Platform MESS (Official Binary)
Assigned To Robbbert Resolution Fixed OS Windows XP
Status [?] Resolved   Driver ampro.cpp
Version 0.156 Fixed in Version 0.157 Build Normal
Summary MESS-specific 05795: ampro: Does not want to start!
Description It refuse to start the emu if started from softlist (see in steps).

Steps To Reproduce mess ampro -flop1 system

Additional Information It seems as if softlist not connected to the driver!
Flags
Regression Version
Affected Sets / Systems ampro
Attached Files
 


-  Notes
User avatar
No.11295
Robbbert
(Developer)
Dec 12, 2014, 21:14
It's -flop, not -flop1

However, in MESSUI no items appear in the "software" tab, so this problem is confirmed.

It's most likely never worked.
User avatar
No.11296
Tafoid
(Administrator)
Dec 12, 2014, 21:53
edited on: Dec 14, 2014, 21:47
No software list is hooked up for the driver at this time as mess -listsoftware ampro shows.
The system itself seems to work fine - loading the image picker style mess ampro -flop1 path\to\system.zip just fine and shows DIR.

Having a software.xml list reference and not having it 'hooked up' to a driver isn't IMHO an emulation flaw.

The Software list was merged from external submission on Sept 3, 2013 by myself at the request of etabeta
The driver was labeled as working just 2 days later, by Robbert, on Sept 5, 2013. Seems to work, just not use the softwarelist yet.

User avatar
No.11299
Robbbert
(Developer)
Dec 13, 2014, 09:33
I was unaware of the existence of a software list for the system until this bug was logged. The system is working however I must leave the hooking up of software lists to those who possess the knowledge.
User avatar
No.11300
vyger
(Tester)
Dec 14, 2014, 16:52
Adding MCFG_SOFTWARE_LIST_ADD("flop_list", "ampro") ?
User avatar
No.11301
Robbbert
(Developer)
Dec 15, 2014, 01:44
That seems to work, for some disks. Maybe the others aren't bootable.